package com.diagbot.client;

import com.diagbot.client.hystrix.QcServiceHystrix;
import com.diagbot.dto.OutputInfo;
import com.diagbot.dto.Response;
import com.diagbot.vo.QueryVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.net.URI;


/**
 * @description: 病历质控远程调用
 * @author: zhoutg
 * @date: 2020/4/13 18:28
 */
@FeignClient(name = "qc", url = "url-placehokder", fallback = QcServiceHystrix.class)
public interface QcServiceClient {

    @PostMapping(value = "/analyse/rec")
    Response<OutputInfo> extract(URI uri, QueryVo queryVo);

}



