package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/7/6 20:03
 */
@Getter
@Setter
public class HomePageImproveDTO {
    /**
     * 科室编码
     */
    private String deptId;
    /**
     * 科室
     */
    @Excel(name = "科室名称", width = 30, orderNum = "1")
    private String deptName;
    /**
     * 质控总数（总病历数）
     */
    @Excel(name = "质控总数", width = 10, orderNum = "2")
    private Integer mrNum = 0;
    /**
     * 核查数量
     */
    @Excel(name = "核查数量", width = 10, orderNum = "3")
    private Integer checkedNum = 0;
    /**
     * 核查占比
     */
    private Double checkedPercent = 0d;
    /**
     * 核查占比（百分比）
     */
    private String checkedPercentStr = "0.00%";
    /**
     * 有病案首页的病历数
     */
    private Integer homePageMRNum = 0;
    /**
     * 已改善数量
     */
    @Excel(name = "已改善数量", width = 10, orderNum = "4")
    private Integer improveNum = 0;
    /**
     * 改善率
     */
    private Double improvePercent = 0d;
    /**
     * 改善率（百分比）
     */
    @Excel(name = "改善率", width = 10, orderNum = "5")
    private String improvePercentStr = "0.00%";
    /**
     * 改善至合格数量
     */
    @Excel(name = "改善至合格数量", width = 15, orderNum = "6")
    private Integer improveToPassNum = 0;
    /**
     * 改善至合格率
     */
    private Double improveToPassPercent = 0d;
    /**
     * 改善至合格率（百分比）
     */
    @Excel(name = "改善至合格率", width = 15, orderNum = "7")
    private String improveToPassPercentStr = "0.00%";
    /**
     * 改善至满分数量
     */
    @Excel(name = "改善至满分数量", width = 15, orderNum = "8")
    private Integer improveToFullNum = 0;
    /**
     * 改善至满分率
     */
    private Double improveToFullPercent = 0d;
    /**
     * 改善至满分率（百分比）
     */
    @Excel(name = "改善至满分率", width = 15, orderNum = "9")
    private String improveToFullPercentStr = "0.00%";
}