package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:各科室缺陷占比返回结构
 * @Author:zhaops
 * @time: 2020/5/19 16:04
 */
@Getter
@Setter
public class LevelStatisticsDTO {
    /**
     * 科室id（科室编码）
     */
//    @Excel(name = "科室编码", orderNum = "0")
    private String deptId;
    /**
     * 科室名称
     */
    @Excel(name = "科室名称", width = 30, orderNum = "2")
    private String deptName;
    /**
     * 主管医生id
     */
    private String doctorId;
    /**
     * 主管医生名称
     */
    private String doctorName;
    /**
     * 缺陷条目数
     */
    @Excel(name = "缺陷总数", orderNum = "3")
    private Integer entryNum;
    /**
     * 质控病历数
     */
    @Excel(name = "质控病历数", orderNum = "5")
    private Integer mrNum;
    /**
     * 质控评分（总分）
     */
    private Double totleValue;
    /**
     * 质控评分（平均分）
     */
    @Excel(name = "质控平均分", orderNum = "4")
    private Double averageValue;
    /**
     * 甲级病历数/病案首页合格病历数
     */
    @Excel(name = "甲级病历数", orderNum = "6")
    private Integer firstLevelNum;
    /**
     * 乙级病历数/病案首页不合格病历数
     */
    @Excel(name = "乙级病历数", orderNum = "7")
    private Integer secondLevelNum;
    /**
     * 丙级病历数
     */
    @Excel(name = "丙级病历数", orderNum = "8")
    private Integer thirdLevelNum;
    /**
     * 甲级病历占比/病案首页合格病历占比
     */
    private Double firstLevelPercent;
    /**
     * 乙级病历占比/病案首页不合格病历占比
     */
    private Double secondLevelPercent;
    /**
     * 丙级病历占比
     */
    private Double thirdLevelPercent;
    /**
     * 甲级病历占比（百分比）/病案首页合格病历占比（百分比）
     */
    @Excel(name = "甲级率", orderNum = "9")
    private String firstLevelPercentStr;
    /**
     * 乙级病历占比（百分比）/病案首页不合格病历占比（百分比）
     */
    @Excel(name = "乙级率", orderNum = "10")
    private String secondLevelPercentStr;
    /**
     * 丙级病历占比（百分比）
     */
    @Excel(name = "丙级率", orderNum = "11")
    private String thirdLevelPercentStr;
}
