package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@TableName("med_home_operation_info")
@Data
public class HomeOperationInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 病案首页ID
     */
    @TableId(value = "home_page_id",type = IdType.INPUT)
    private String homePageId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 手术序号
     */
    private String operationOrderNo;

    /**
     * 手术日期
     */
    private Date operationDate;

    /**
     * 手术编码
     */
    private String operationCode;

    /**
     * 手术医生ID
     */
    private String operationDoctorId;

    /**
     * 一助医生ID
     */
    private String firstAssistantId;

    /**
     * 二助医生ID
     */
    private String secondAssistantId;

    /**
     * 切口等级
     */
    private String cutLevel;

    /**
     * 愈合等级
     */
    private String healingLevel;

    /**
     * 手术名称
     */
    private String operationName;

    /**
     * 手术级别
     */
    private String operationLevel;

    /**
     * 麻醉方式（全麻、局麻、静脉麻醉）
     */
    private String anaesthesiaName;

    /**
     * 拟手术名称
     */
    private String shamOperationName;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

}
