package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@TableName("med_home_page")
@Data
public class HomePage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 病案首页编号
     */
    @TableId(value = "home_page_id",type = IdType.INPUT)
    private String homePageId;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院序号
     */
    private String behospitalCode;

    /**
     * 组织机构id
     */
    private String hospitalCode;

    /**
     * 医疗机构名称
     */
    private String hospitalName;

    /**
     * 医疗机构代码
     */
    private String orgCode;

    /**
     * 医疗付费方式
     */
    private String payType;

    /**
     * 健康卡号
     */
    private String healthCard;

    /**
     * 住院次数
     */
    private String behospitalNum;

    /**
     * 病案号
     */
    private String fileCode;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 出生日期
     */
    private Date birthday;

    /**
     * 年龄
     */
    private String age;

    /**
     * 年龄单位
     */
    private String ageUnit;

    /**
     * 国籍
     */
    private String nationality;

    /**
     * 新生儿出生月数
     */
    private String newbornMonth;

    /**
     * 新生儿出生天数
     */
    private String newbornDay;

    /**
     * 新生儿出生体重
     */
    private String newbornWeight;

    /**
     * 新生儿入院体重
     */
    private String newbornBehospitalWeight;

    /**
     * 出生地
     */
    private String bornAddress;

    /**
     * 籍贯
     */
    private String bornPlace;

    /**
     * 民族
     */
    private String nation;

    /**
     * 身份证号
     */
    private String identityCardNo;

    /**
     * 职业
     */
    private String jobType;

    /**
     * 婚姻
     */
    private String marriage;

    /**
     * 现住址
     */
    private String curAddress;

    /**
     * 现住址电话
     */
    private String curPhone;

    /**
     * 现住址邮编
     */
    private String curPostCode;

    /**
     * 户口地址
     */
    private String residenceAddress;

    /**
     * 户口地址邮编
     */
    private String residencePostCode;

    /**
     * 工作单位
     */
    private String workAddress;

    /**
     * 工作单位电话
     */
    private String workPhone;

    /**
     * 工作单位邮编
     */
    private String workPostCode;

    /**
     * 联系人姓名
     */
    private String contactName;

    /**
     * 联系人关系
     */
    private String contactRelation;

    /**
     * 联系人地址
     */
    private String contactAddress;

    /**
     * 联系人电话
     */
    private String contactPhone;

    /**
     * 入院途径
     */
    private String behospitalWay;

    /**
     * 入院时间
     */
    private Date behospitalDate;

    /**
     * 入院科别
     */
    private String behospitalDept;

    /**
     * 入院病房
     */
    private String behospitalWard;

    /**
     * 入院床位序号
     */
    private String behospitalBedId;

    /**
     * 入院床位号码
     */
    private String behospitalBedCode;

    /**
     * 转科科别
     */
    private String changeDept;

    /**
     * 出院时间
     */
    private Date leaveHospitalDate;

    /**
     * 出院科别
     */
    private String leaveHospitalDept;

    /**
     * 出院病房
     */
    private String leaveHospitalWard;

    /**
     * 出院床位序号
     */
    private String leaveHospitalBedId;

    /**
     * 出院床位号码
     */
    private String leaveHospitalBedCode;

    /**
     * 实际住院天数
     */
    private String behospitalDayNum;

    /**
     * 门急诊诊断
     */
    private String outpatientEmrDiagnose;

    /**
     * 门急诊诊断编码
     */
    private String outpatientEmrDiagnoseCode;

    /**
     * 损伤中毒因素
     */
    private String poisonFactor;

    /**
     * 损伤中毒因素编码
     */
    private String poisonFactorCode;

    /**
     * 病理诊断
     */
    private String pathologyDiagnose;

    /**
     * 病理诊断编码
     */
    private String pathologyDiagnoseCode;

    /**
     * 病理诊断编号
     */
    private String pathologyDiagnoseId;

    /**
     * 药物过敏
     */
    private String isMedAllergy;

    /**
     * 过敏药物
     */
    private String medAllergyName;

    /**
     * 死亡患者尸检
     */
    private String autopsy;

    /**
     * 血型
     */
    private String bloodType;

    /**
     * Rh
     */
    private String rh;

    /**
     * 科主任
     */
    private String deptDirector;

    /**
     * 主任医师
     */
    private String directorDoctor;

    /**
     * 主治医师
     */
    private String attendingDoctor;

    /**
     * 住院医师
     */
    private String behospitalDoctor;

    /**
     * 责任护士
     */
    private String responseNurse;

    /**
     * 进修医师
     */
    private String studyDoctor;

    /**
     * 实习医师
     */
    private String practiceDoctor;

    /**
     * 编码员
     */
    private String encodeMan;

    /**
     * 病案质量
     */
    private String homePageQuality;

    /**
     * 质控医师
     */
    private String qcDoctor;

    /**
     * 质控护士
     */
    private String qcNurse;

    /**
     * 质控日期
     */
    private Date qcDate;

    /**
     * 离院方式
     */
    private String leaveHospitalType;

    /**
     * 接收机构名称
     */
    private String acceptOrgCode;

    /**
     * 31天内再住院计划
     */
    private String againBehospitalPlan;

    /**
     * 再住院目的
     */
    private String againBehospitalGoal;

    /**
     * 颅脑损伤患者昏迷前天数
     */
    private String tbiBeforeDay;

    /**
     * 颅脑损伤患者昏迷前小时
     */
    private String tbiBeforeHour;

    /**
     * 颅脑损伤患者昏迷前分钟
     */
    private String tbiBeforeMinute;

    /**
     * 颅脑损伤患者昏迷后天数
     */
    private String tbiAfterDay;

    /**
     * 颅脑损伤患者昏迷后小时
     */
    private String tbiAfterHour;

    /**
     * 颅脑损伤患者昏迷后分钟
     */
    private String tbiAfterMinute;

    /**
     * 总费用
     */
    private String totalFee;

    /**
     * 自付金额
     */
    private String ownFee;

    /**
     * 一般医疗服务费
     */
    private String generalFee;

    /**
     * 一般治疗服务费
     */
    private String serviceFee;

    /**
     * 护理费
     */
    private String nurseFee;

    /**
     * 其他费用
     */
    private String otherFee;

    /**
     * 病理诊断费
     */
    private String pathologyFee;

    /**
     * 实验室诊断费
     */
    private String labFee;

    /**
     * 影像学诊断费
     */
    private String pacsFee;

    /**
     * 临床诊断项目费
     */
    private String clinicDiagnoseFee;

    /**
     * 非手术治疗项目费
     */
    private String notOperationFee;

    /**
     * 临床物理治疗费
     */
    private String clinicPhysicFee;

    /**
     * 手术治疗费
     */
    private String operationTreatFee;

    /**
     * 麻醉费
     */
    private String anaesthesiaFee;

    /**
     * 手术费
     */
    private String operationFee;

    /**
     * 康复类
     */
    private String healthTypeFee;

    /**
     * 中医治疗费
     */
    private String chnTreatFee;

    /**
     * 西药费
     */
    private String westernMedFee;

    /**
     * 抗菌药物费用
     */
    private String antibiosisFee;

    /**
     * 中成药费
     */
    private String chnMedFee;

    /**
     * 中草药费
     */
    private String chnHerbFee;

    /**
     * 血费
     */
    private String bloodFee;

    /**
     * 白蛋白类制品费
     */
    private String albumenFee;

    /**
     * 球蛋白类制品费
     */
    private String globulinFee;

    /**
     * 凝血因子类制品费
     */
    private String bloodFactorFee;

    /**
     * 细胞因子类制品费
     */
    private String cellFactorFee;

    /**
     * 检查用一次性医用材料费
     */
    private String checkMaterialFee;

    /**
     * 治疗用一次性医用材料费
     */
    private String treatMaterialFee;

    /**
     * 手术用一次性医用材料费
     */
    private String operationMaterialFee;

    /**
     * 其他类其他费
     */
    private String otherTypeFee;

    /**
     * 单病种管理
     */
    private String singleDiagManage;

    /**
     * 临床路径管理
     */
    private String clinicPathwayManage;

    /**
     * 门诊与住院
     */
    private String isOutpatientBehospital;

    /**
     * 入院与出院
     */
    private String isLeaveBehospital;

    /**
     * 术前与术后
     */
    private String isOperationBeforeAfter;

    /**
     * 临床与病理
     */
    private String isClinicPathology;

    /**
     * 放射与病理
     */
    private String isRadiatePathology;

    /**
     * 病人抢救次数
     */
    private String rescueNum;

    /**
     * 病人抢救成功次数
     */
    private String rescueSuccessNum;

    /**
     * 是否为自动出院
     */
    private String isAutoLeavehospital;

    /**
     * 转归情况
     */
    private String returnToType;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 住院期间身体约束
     */
    private String isPhysicalRestraint;

    /**
     * 颅脑损伤患者昏迷时间(入院前)
     */
    private String tbiBehospitalBeforeTime;

    /**
     * 颅脑损伤患者昏迷时间(入院后)
     */
    private String tbiBehospitalAfterTime;

    /**
     * 住院期间是否发生跌倒或坠床
     */
    private String isFallBed;

    /**
     * 医院感染
     */
    private String isNosocomialInfection;

    /**
     * 入住ICU情况
     */
    private String isIntoIcu;

    /**
     * 并发症情况
     */
    private String isComplications;

    /**
     * 是否发生压疮
     */
    private String isPressureSore;

    /**
     * 是否住院期间发生压疮
     */
    private String isBehospitalPressureSore;

    /**
     * 非计划再次手术
     */
    private String isUnplannedReoperation;

    /**
     * 治疗结果
     */
    private String treatmentResults;

    /**
     * 并发症
     */
    private String complicationsResults;

    /**
     * 感染部位
     */
    private String infectionSite;

    /**
     * 住院期间有无告病危
     */
    private String isBeInDanger;

}
