package com.diagbot.facade.data;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.data.AHomeOperationDTO;
import com.diagbot.entity.HomeOperationInfo;
import com.diagbot.service.impl.HomeOperationInfoServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.DateUtil;
import com.diagbot.util.TZDBConn;
import com.diagbot.vo.data.AHomeOperationVO;
import com.google.common.collect.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

@Component
public class AHomeOperationInfoFacade extends HomeOperationInfoServiceImpl{

    @Autowired
    @Qualifier("homeOperationInfoServiceImpl")
    private HomeOperationInfoServiceImpl homeOperationInfoService;

    private TZDBConn tzDBConn = new TZDBConn();

    /**
     * 终末质控-同步前一天数据
     */
    public void executeHomeOperation() {
        //String sql="select * from br_recoperation where cjcxrq>=dateadd(day,-2,getdate()) and cjcxrq<=getdate()";
        //前一天数据
        String sql="select * from br_recoperation where cjcxrq>=(select CONVERT(varchar,GETDATE()-2,23)) and cjcxrq<(select CONVERT(varchar,GETDATE(),23))";
        List<HomeOperationInfo> homeOperationList = tzDBConn.getHomeOperation(sql);
        execute(homeOperationList);
    }

    /**
     * 终末质控-通过接口更新病案首页手术
     * @param list
     * @return
     */
    public List<AHomeOperationDTO> executeHomeOperation(List<AHomeOperationVO> list) {
        List<HomeOperationInfo> homeOperationList=Lists.newArrayList();
        List<AHomeOperationDTO> homeOperationDtoList=Lists.newArrayList();
        if(list!=null && list.size()>0){
            list.stream().forEach(s->{
                HomeOperationInfo homeOperationInfo=new HomeOperationInfo();
                BeanUtil.copyProperties(s,homeOperationInfo);
                homeOperationInfo.setOperationDate(DateUtil.parseDateTime(s.getOperationDate()));
                homeOperationList.add(homeOperationInfo);
            });
            homeOperationDtoList=BeanUtil.listCopyTo(list,AHomeOperationDTO.class);
            execute(homeOperationList);
        }
        return homeOperationDtoList;
    }

    public void execute(List<HomeOperationInfo> homeOperationList){
        List<HomeOperationInfo> addE = Lists.newLinkedList();
        List<HomeOperationInfo> updateE = Lists.newLinkedList();
        if (homeOperationList != null && homeOperationList.size() > 0) {
            homeOperationList.stream().forEach(s -> {
                if(s.getHomePageId()!=null && !"".equals(s.getOperationOrderNo())) {
                    QueryWrapper<HomeOperationInfo> queryWrapper = new QueryWrapper<>();
                    queryWrapper.eq("home_page_id", s.getHomePageId());
                    queryWrapper.eq("hospital_id", s.getHospitalId());
                    queryWrapper.eq("operation_order_no", s.getOperationOrderNo());
                    HomeOperationInfo operationInfo = this.getOne(queryWrapper, false);
                    if (operationInfo != null) {
                        s.setGmtModified(new Date());
                        updateE.add(s);
                    } else {
                        s.setGmtCreate(new Date());
                        addE.add(s);
                    }
                }
            });
        }
        if(addE.size()>0){
            homeOperationInfoService.saveBatch(addE);
        }
        if(updateE.size()>0){
            homeOperationInfoService.updateBatchByKey(updateE);
        }
    }
}
