package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.CheckInfoDTO;
import com.diagbot.dto.ExamineInfoDTO;
import com.diagbot.dto.ExamineSonInfoDTO;
import com.diagbot.entity.MedLisInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.CheckInfoVO;
import com.diagbot.vo.ExamineInfoVO;
import com.diagbot.vo.ExamineSonInfoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2020-07-28
 */
public interface MedLisInfoMapper extends BaseMapper<MedLisInfo> {
    Map<String, Object> getTime(@Param("behospitalCode") String behospitalCode);

    List<String> getBadExamineInfo(@Param("examineInfoVO") ExamineInfoVO examineInfoVO, @Param("infos") Set<String> infos);

    IPage<ExamineInfoDTO> getExamineInfo(@Param("examineInfoVO") ExamineInfoVO examineInfoVO, @Param("infos") Set<String> infos,@Param("badCheckInfo") List<String> badCheckInfo);

    List<String> getInfo(@Param("hospitalId") Long hospitalId, @Param("behospitalCode") String behospitalCode);

    IPage<ExamineSonInfoDTO> getExamineSonInfo(@Param("examineSonInfoVO") ExamineSonInfoVO examineSonInfoVO, @Param("infos") Set<String> infos);
}
