package com.diagbot.service;

import com.diagbot.dto.SysUserPermissionDTO;
import com.diagbot.entity.SysMenu;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.wrapper.SysMenuWrapper;

import java.util.List;

/**
 * <p>
 * 系统菜单 服务类
 * </p>
 *
 * @author gaodm
 * @since 2020-04-12
 */
public interface SysMenuService extends IService<SysMenu> {

    /**
     * @Description: 获取菜单信息
     * @Author: ztg
     * @Date: 2018/9/17 15:43
     */
    public List<SysMenuWrapper> getByRole(Long userId);


    /**
     * @Description: 获取子级菜单
     * @Author: ztg
     * @Date: 2018/9/17 15:44
     */
    public List<SysMenuWrapper> getSubMenuById(Long id);

    public List<SysUserPermissionDTO> getByRolePermission(Long userId);
}
