package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/6/18 20:25
 */
@Getter
@Setter
public class EntryStatisticsVO {
    /**
     * 起始时间
     */
    @NotNull(message = "请输入起始时间")
    private Date startDate;
    /**
     * 结束时间
     */
    @NotNull(message = "请输入截止时间")
    private Date endDate;
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private String hospitalId;
    /**
     * 用户id
     */
    @ApiModelProperty(hidden = true)
    private Long userId;
    /**
     * 排序（升序）
     */
    private String asc;

    /**
     * 排序（降序）
     */
    private String desc;
    /**
     * 科室名称
     */
    private String deptName;
    /**
     * 是否归档（0：未归档，1：已归档）
     */
    private String isPlacefile = "1";
}
