package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/7/13 17:06
 */
@Getter
@Setter
public class FilterUnModifyMRVO {
    /**
     * 起始时间
     */
    @NotBlank(message = "请输入起始时间")
    private String startDate;
    /**
     * 结束时间
     */
    @NotBlank(message = "请输入结束时间")
    private String endDate;
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private String hospitalId;
    /**
     * 医生id
     */
    @ApiModelProperty(hidden = true)
    private Long userId;
    /**
     * 关键条目id
     */
    @ApiModelProperty(hidden = true)
    private List<Long> casesEntryIds;

    /**
     * 科室名称
     */
    private String name;

    /**
     * 排序（升序）
     */
    private String asc;

    /**
     * 排序（降序）
     */
    private String desc;

    /**
     * 是否归档（0：未归档，1：已归档）
     */
    private String isPlacefile = "1";
}